## Apache Zeta Components Manual :: Docs For Class ezcPersistentInvalidObjectStateException

### PersistentObject::ezcPersistentInvalidObjectStateException

### Class ezcPersistentInvalidObjectStateException

Exception thrown if the result of $object->getState() is invalid.

Source for this file: /PersistentObject/src/exceptions/invalid_object_state.php

    Exception
       |
       --ezcBaseException
          |
          --ezcPersistentObjectException
             |
             --ezcPersistentInvalidObjectStateException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcPersistentInvalidObjectStateException | `__construct( $object , [ $reason = null] )` Creates a new exception.

### Inherited Methods

From ezcPersistentObjectException
public void | `ezcPersistentObjectException::__construct()` Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcPersistentInvalidObjectStateException __construct( object $object , [string $reason = null] )

Creates a new exception.

Creates a new ezcPersistentInvalidObjectStateException for the given $object with the given $reason.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$object` | object |
`$reason` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentObjectException::__construct()` | Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.

Documentation generated by phpDocumentor 1.4.3